## kyototycoon 0.9.56

=== lab/leveldb/Makefile ===
SHLIBFILES = ktplugdblevel.so

CXX = g++
CPPFLAGS = -I. -I.. -I../.. -I/usr/local/include -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_REENTRANT -D__EXTENSIONS__
CXXFLAGS = -O2 -Wall -fPIC -fsigned-char
LDFLAGS = -L. -L.. -L../.. -L/usr/local/lib -Wl,-rpath-link,.:..:../..:/usr/local/lib:.:/usr/local/lib:/usr/local/lib:. -Wl,--as-needed
LIBS = -lleveldb -lkyototycoon -lkyotocabinet


all : $(SHLIBFILES)


clean :
	rm -rf $(SHLIBFILES) *.exe *.o a.out check.out gmon.out leak.log casket* *~


.SUFFIXES :
.SUFFIXES : .cc .o

.c.o :
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.cc.o :
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $<


ktplugdblevel.so : ktplugdblevel.o $(LIBRARYFILES)
	$(CXX) $(CXXFLAGS) -shared -o $@ $< $(LDFLAGS) $(LIBS)

=== debian/changelog ===
kyototycoon (0.9.56-1build2) wily; urgency=medium

  * No-change rebuild against libkyotocabinet16v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Aug 2015 07:40:35 +0200

kyototycoon (0.9.56-1build1) wily; urgency=medium

  * No-change rebuild against libkyotocabinet16v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Aug 2015 05:23:00 +0000

kyototycoon (0.9.56-1) unstable; urgency=low

  * Initial release. (Closes: #613452)

 -- Shawn Landden <shawnlandden@gmail.com>  Tue, 10 Jul 2012 22:26:30 -0700

=== debian/control ===
Source: kyototycoon
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Shawn Landden <shawnlandden@gmail.com>
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.16.1),
 automake,
 autoconf2.64,
 libtool (>= 2.2),
 pkg-config,
 libkyotocabinet-dev,
# this is used solely to get the version of lua to build against
# so must match -dev. luadoc also can recompile docs (not done by default).
 lua5.1,
 liblua5.1-0-dev,
# Compressors must match configuration of kyotocabinet
 zlib1g-dev,
 liblzma-dev,
 liblzo2-dev
# Fails to build against lua 5.2
Build-Conflicts: lua5.2
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/kyototycoon.git
Vcs-Git: git://git.debian.org/collab-maint/kyototycoon.git
Homepage: http://fallabs.com/kyototycoon/

Package: libkyototycoon2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Handy cache/storage server - shared library
 Kyoto Tycoon is a lightweight database server with auto expiration mechanism,
 useful to handle cache data and persistent data of various applications.
 .
 Kyoto Tycoon provides a network interface to the Kyoto Cabinet DBM. Building
 on top of Kyoto Cabinet's high performance and high concurrency, Kyoto Tycoon
 allows multiple processes (as opposed to just multiple threads) and computers
 to share the same database. Providing an efficient remote database, the
 architecture of Kyoto Tycoon keeps this feature optional—file formats are
 still Kyoto Cabinet (unless using pluggable databases).
 .
 Kyoto Tycoon is composed of the server process managing multiple databases
 and its access library for client applications.
 .
 This package contains the shared library.
 
Package: kyototycoon
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kyototycoon-doc
Description: Handy cache/storage server
 Kyoto Tycoon is a lightweight database server with auto expiration mechanism,
 useful to handle cache data and persistent data of various applications.
 .
 Kyoto Tycoon provides a network interface to the Kyoto Cabinet DBM. Building
 on top of Kyoto Cabinet's high performance and high concurrency, Kyoto Tycoon
 allows multiple processes (as opposed to just multiple threads) and computers
 to share the same database. Providing an efficient remote database, the
 architecture of Kyoto Tycoon keeps this feature optional—file formats are
 still Kyoto Cabinet (unless using pluggable databases).
 .
 Kyoto Tycoon is composed of the server process managing multiple databases
 and its access library for client applications.
 .
 Between some of Kyoto Tycoon features you may find: 
  - The network communication protocol is HTTP, so you can write client apps
    and libraries in almost all popular languages
  - Both RESTful-style and RPC-style interfaces are supported
  - Based on epoll/kqueue, the server supports 10K+ concurrent connections
  - High availability mechanisms and extensible built-in support:
    * Hot backup
    * Update logging
    * Asynchronous replication
    * Lua support: define arbitrary operations of the database using the
      lightweight scripting language
 .
 This package contains the server, and the test tools.

Package: kyototycoon-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: kyototycoon (= ${binary:Version}), libkyototycoon2 (= ${binary:Version}), ${misc:Depends}
Provides: libkyototycoon-dbg, libkyototycoon2-dbg
Priority: extra
Description: Handy cache/storage server - debugging symbols
 Kyoto Tycoon is a lightweight database server with auto expiration mechanism,
 useful to handle cache data and persistent data of various applications.
 .
 Kyoto Tycoon provides a network interface to the Kyoto Cabinet DBM. Building
 on top of Kyoto Cabinet's high performance and high concurrency, Kyoto Tycoon
 allows multiple processes (as opposed to just multiple threads) and computers
 to share the same database. Providing an efficient remote database, the
 architecture of Kyoto Tycoon keeps this feature optional—file formats are
 still Kyoto Cabinet (unless using pluggable databases).
 .
 Kyoto Tycoon is composed of the server process managing multiple databases
 and its access library for client applications.
 .
 This package contains debugging symbols to the server, test tools, and shared
 library.

Package: kyototycoon-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libkyototycoon-dev
Description: Handy cache/storage server - documentation
 Kyoto Tycoon is a lightweight database server with auto expiration mechanism,
 useful to handle cache data and persistent data of various applications.
 .
 Kyoto Tycoon provides a network interface to the Kyoto Cabinet DBM. Building
 on top of Kyoto Cabinet's high performance and high concurrency, Kyoto Tycoon
 allows multiple processes (as opposed to just multiple threads) and computers
 to share the same database. Providing an efficient remote database, the
 architecture of Kyoto Tycoon keeps this feature optional—file formats are
 still Kyoto Cabinet (unless using pluggable databases).
 .
 Kyoto Tycoon is composed of the server process managing multiple databases
 and its access library for client applications.
 .
 This package contains the documentation.

Package: libkyototycoon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkyototycoon2 (= ${binary:Version}), ${misc:Depends}
Suggests: kyototycoon
Provides: libkyototycoon2-dev
Description: Handy cache/storage server - development headers
 Kyoto Tycoon is a lightweight database server with auto expiration mechanism,
 useful to handle cache data and persistent data of various applications.
 .
 Kyoto Tycoon provides a network interface to the Kyoto Cabinet DBM. Building
 on top of Kyoto Cabinet's high performance and high concurrency, Kyoto Tycoon
 allows multiple processes (as opposed to just multiple threads) and computers
 to share the same database. Providing an efficient remote database, the
 architecture of Kyoto Tycoon keeps this feature optional—file formats are
 still Kyoto Cabinet (unless using pluggable databases).
 .
 Kyoto Tycoon is composed of the server process managing multiple databases
 and its access library for client applications.
 .
 This package contains the development headers.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CONFIG_OPTS += --disable-opt
endif

override_dh_auto_configure:
	aclocal
	autoconf2.64
	dh_auto_configure -- \
--enable-lua \
--prefix=/usr \
$(CONFIG_OPTS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

override_dh_strip:
	dh_strip --package=libkyototycoon2 --dbg-package=kyototycoon-dbg
	dh_strip --package=kyototycoon     --dbg-package=kyototycoon-dbg
	dh_strip

override_dh_installdocs:
#	mkdir -p $$(pwd)/debian/kyototycoon-doc/usr/share/doc/kyototycoon-doc
	dh_installdocs --link-doc=libkyototycoon2
	# debhelper sometimes leaves this empty folder - Bug #679864
#	rm -rf $$(pwd)/debian/kyototycoon-doc/usr/share/doc/libkyototycoon2

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_builddeb:
	dh_builddeb -- -Zxz -z2

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_clean:
	dh_clean config.tmp config.log aclocal.m4 configure

%:
	dh $@
